# Use official Python image
FROM python:3.11-slim

# Install ffmpeg and other dependencies
RUN apt-get update && apt-get install -y ffmpeg \
    && rm -rf /var/lib/apt/lists/* \
    && pip install yt_dlp
    # && install -y cron

# Set environment variables
ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1

# Set work directory
WORKDIR /app

RUN mkdir /app/data /app/tv /app/youtube /app/asmr /app/nsfw /app/temp /app/data/logs

# Install dependencies
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# Copy project files
COPY /app .

# Make sure your script is executable
# RUN chmod +x /app/my_script.sh
# RUN chmod +x /start.sh

# Expose port
EXPOSE 8000

# Run the app with Uvicorn
CMD ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "8000"]
# CMD ["/start.sh"]
